### Name: norm.curve
### Title: plot a normal curve with both x and z axes.
### Aliases: norm.setup norm.curve
### Keywords: aplot hplot distribution

### ** Examples

old.par <- par(oma=c(4,0,2,5), mar=c(7,7,4,2)+.1)

norm.setup()
norm.curve()

norm.setup(xlim=c(75,125), mean=100, se=5)
norm.curve(100, 5, 100+5*(1.645))

norm.setup(xlim=c(75,125), mean=100, se=5)
norm.curve(100, 5, 100+5*(-1.645), shade="left")

norm.setup(xlim=c(75,125), mean=100, se=5)
norm.curve(mean=100, se=5, col=2)

norm.setup(xlim=c(75,125), mean=100, se=5)
norm.curve(100, 5, 100+5*c(-1.96, 1.96))

norm.setup(xlim=c(-3, 6))
norm.curve(crit=1.645, mean=1.645+1.281552, col=3,
           shade="left", axis.name="z1")
norm.curve(crit=1.645, col=2)

norm.setup(xlim=c(-6, 12), se=2)
norm.curve(crit=2*1.645, se=2, mean=2*(1.645+1.281552),
           col=3, shade="left", axis.name="z1")
norm.curve(crit=2*1.645, se=2, mean=0,
           col=2, shade="right")

par(mfrow=c(2,1))
norm.setup()
norm.curve()
mtext("norm.setup(); norm.curve()", side=1,  line=5)
norm.setup(n=1)
norm.curve(n=1)
mtext("norm.setup(n=1); norm.curve(n=1)", side=1,  line=5)
par(mfrow=c(1,1))

par(mfrow=c(2,2))

## naively scaled,
## areas under the curve are numerically the same but visually different
norm.setup(n=1)
norm.curve(n=1)
norm.setup(n=2)
norm.curve(n=2)
norm.setup(n=4)
norm.curve(n=4)
norm.setup(n=10)
norm.curve(n=10)
mtext("areas under the curve are numerically the same but visually different",
      side=3, outer=TRUE)

## scaled so all areas under the curve are numerically and visually the same
norm.setup(n=1, ylim=c(0,1.3))
norm.curve(n=1)
norm.setup(n=2, ylim=c(0,1.3))
norm.curve(n=2)
norm.setup(n=4, ylim=c(0,1.3))
norm.curve(n=4)
norm.setup(n=10, ylim=c(0,1.3))
norm.curve(n=10)
mtext("all areas under the curve are numerically and visually the same",
      side=3, outer=TRUE)

par(mfrow=c(1,1))

par(old.par)



